<section class="share">
    <h3>Share</h3>

    {% if site.twitter_username %}
    <a aria-label="Share on Twitter" href="https://twitter.com/intent/tweet?text=&quot;{{ page.twitter_text }}&quot;%20{{ site.url }}{{ page.url }}%20via%20&#64;{{ site.twitter_username }}&hashtags={% for tag in page.tags %}{{tag}},{% endfor %}"
    onclick="window.open(this.href, 'twitter-share', 'width=550,height=235');return false;" title="Share on Twitter">
        <span class="icon">
            <i class="fab fa-twitter fa-fw"></i>
        </span>
    </a>
    {% endif %}

    {% if site.bluesky_handle %}
    <a aria-label="Share on BlueSky" href="https://bsky.app/intent/compose?text={{ site.url }}{{ page.url }}%20via%20&#64;{{ site.bluesky_handle }}"
    onclick="window.open(this.href, 'bluesky-share', 'width=550,height=235');return false;" title="Share on Twitter">
        <span class="icon">
            <i class="fab fa-bluesky fa-fw"></i>
        </span>
    </a>
    {% endif %}

    <a aria-label="Share on Facebook" href="https://www.facebook.com/sharer/sharer.php?u={{ site.url }}{{ page.url }}"
    onclick="window.open(this.href, 'facebook-share','width=580,height=296');return false;" title="Share on Facebook">
        <span class="icon">
            <i class="fab fa-facebook-f fa-fw"></i>
        </span>
    </a>
</section>
